Subject: bug#29838: 26.0; Elisp manual: describe standard-error sexps

From: Drew Adams <[email-masked]>
Date: Sun, 24 Dec 2017 09:22:30 -0800 (PST)

Please describe the sexps that are associated with standard errors.

Currently, only the error messages are described.? But users can

sometimes see an error message that refers only to the sexp for

the error.

?

Example:

?

Error in post-command-hook (foo-post-cmd-hook): (args-out-of-range 9 9)

?

I don't see anywhere in the manual where a user could find out what

`(args-out-of-range 9 9)' means - in particular, what the two

occurrences of `9' signify.

?

Node `Standard Errors' says only this:

?

? ‘args-out-of-range’

???? The message is ‘Args out of range’.? This happens when trying to

???? access an element beyond the range of a sequence, buffer, or other

???? container-like object.? *Note Sequences Arrays Vectors::, and *Note

???? Text::.

?

Looking at the manual coverage of sequence etc. functions, you find

information such as this:

?

? (elt [1 2 3 4] -1)

???? error→ Args out of range: [1 2 3 4], -1

?

But that doesn't help for understanding `(args-out-of-range 9 9)'.

?

In GNU Emacs 26.0.90 (build 3, x86_64-w64-mingw32)

of 2017-10-13

Repository revision: 906224eba147bdfc0514090064e8e8f53160f1d4

Windowing system distributor `Microsoft Corp.', version 6.1.7601

Configured using:

`configure --without-dbus --host=x86_64-w64-mingw32

--without-compress-install 'CFLAGS=-O2 -static -g3''

?